Bug 236508 - NullPointerException: The description parameter cannot be null
NullPointerException: The description parameter cannot be null
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
7.4
All All
: P3 (vote)
: 8.0
Assigned To: Svata Dedic
issues@javafx
EXCEPTIONS_REPORT
: PLAN
Depends on: 236509
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 00:48 UTC by Chiana
Modified: 2013-12-21 07:20 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1003 bytes, text/plain)
2013-09-29 00:49 UTC, Chiana
Details
stacktrace (1003 bytes, text/plain)
2013-09-29 00:51 UTC, Chiana
Details
Offending project (entire) (168.80 KB, application/x-zip-compressed)
2013-09-29 00:55 UTC, Chiana
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chiana 2013-09-29 00:48:58 UTC
This bug was originally marked as duplicate of bug 234947, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 201309250002)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.25-b01, Java(TM) SE Runtime Environment, 1.7.0_25-b17
OS: Windows 7

User Comments:
Chiana: Tried to save a fxml file by pressing control-S

GUEST: Right click => Edit on an fxml file

Chiana: Pasted " xmlns:fx="http://javafx.com/fxml"" into a JavaFX "<AnchorPane" line

ionuion: right click on a fxml file in the project window




Stacktrace: 
java.lang.NullPointerException: The description parameter cannot be null
   at org.openide.util.Parameters.notNull(Parameters.java:89)
   at org.netbeans.spi.editor.hints.ErrorDescriptionFactory.createErrorDescription(ErrorDescriptionFactory.java:150)
   at org.netbeans.modules.javafx2.editor.ErrorHintProvider.run(ErrorHintProvider.java:86)
   at org.netbeans.modules.javafx2.editor.ErrorHintProvider.run(ErrorHintProvider.java:69)
   at org.netbeans.modules.parsing.impl.TaskProcessor.callParserResultTask(TaskProcessor.java:568)
   at org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob.run(TaskProcessor.java:744)
Comment 1 Chiana 2013-09-29 00:49:00 UTC
Created attachment 140608 [details]
stacktrace
Comment 2 Chiana 2013-09-29 00:51:45 UTC
Created attachment 140609 [details]
stacktrace

Restarted IDE to get rid of this error, but it persists after restart...
Comment 3 Exceptions Reporter 2013-09-29 00:51:49 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=204243
Comment 4 Chiana 2013-09-29 00:55:38 UTC
Created attachment 140610 [details]
Offending project (entire)
Comment 5 Chiana 2013-09-29 01:14:34 UTC
It seems this is related to the xmlns:fx="http://javafx.com/fxml/1" parameter that is set, that makes to not work properly, if you then add "xmlns:fx="http://javafx.com/fxml" this error occurs, if you on the other hand remove the "/1" from the xmlns:fx..." line it seems to work...
Comment 6 Lou Dasaro 2013-09-29 06:02:30 UTC
This exception likely a result of trying to redefine namespace xmlns:fx, e.g. xmlns:fx="http://javafx.com/fxml/1" xmlns:fx="http://javafx.com/javafx". 
I copied that into my FXMLDocument.fxml and quickly received an Exception.

For the workaround, you should delete one of the xmlns:fx declarations - but bear in mind that each time you save the file in Scene Builder, it will update the namespaces as follows (using Scene Builder 1.1 GA, which correctly injects): 
xmlns:fx="http://javafx.com/fxml/1" xmlns="http://javafx.com/javafx/2.2"

See also bug 236509 and included JavaFX RT and Scene Builder JIRAs.
Comment 7 Svata Dedic 2013-09-29 16:45:56 UTC
will be fixed soon for dev/8.0
Comment 8 Svata Dedic 2013-10-02 08:39:29 UTC
Actually a separate defect, even with improved namespace support. Note you cannot have two xmlns attributes, it's a XML level error. 

Fixed in rev http://hg.netbeans.org/jet-main/rev/05316f8cbcef
Comment 9 Quality Engineering 2013-10-04 01:31:41 UTC
Integrated into 'main-silver', will be available in build *201310040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/05316f8cbcef
User: Svata Dedic <sdedic@netbeans.org>
Log: #236508: Missing error messages added, I18N added
Comment 10 Lou Dasaro 2013-10-04 08:11:23 UTC
Is blocked until bug 236509 fix becomes a 7.4 patch.
Comment 11 Lou Dasaro 2013-12-21 07:20:45 UTC
Verified Fixed in NetBeans 7.4-patch1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo